
TYPO3.Flow - Feature # 40273

Status: Resolved Priority: Should have
Author: Marc Neuhaus Category:
Created: 2012-08-27 Assigned To:
Updated: 2012-09-04 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Enable FunctionalTestRequestHandler for non cli requests
Description

Currently the FunctionTestRequestHandler can only be used through cli.

I'd like to use a TestRunner based on VisualPHPUnit for which i need to be able to execute those requests through web requests.

https://github.com/mneuhaus/TYPO3.Testing

Associated revisions
Revision 8d01cdf4 - 2012-09-04 13:12 - Marc Neuhaus

[FEATURE] Enable functional tests to be executed by non CLI SAPI

The FunctionalTestRequestHandler should be executable by non CLI requests to
enable TestRunners like VisualPHPUnit.

Change-Id: Id7b6d2f35f3bd9d317dbd0e0f11b314d070ae506
Fixes: #40273
Releases: 1.2

History
#1 - 2012-08-27 17:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14140

#2 - 2012-08-27 17:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14140

#3 - 2012-09-04 13:19 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14140
#4 - 2012-09-04 13:35 - Marc Neuhaus
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8d01cdf42987f9d1104f93ca785a69a69eebbd7e.
